English

Frequently Asked Questions

Without regular updates your Smart-ID app can become outdated, which means it will become unsupported and therefore unsafe. If this happens, your Smart-ID usage will automatically be limited or blocked until you’ve updated the app. You’ll also see an error message explaining this issue every time you try to use the app.

To fix it, simply update the app. The latest Smart-ID app versions are always available for free in Google Play and AppStore. Just download the newest version and install it.

You’ll need version 14.7 or later (iOS and Android) for the Smart-ID app to support new account registration.

All of your key apps should be regularly updated. The updates we provide for Smart-ID help to ensure your smart device and your personal details are kept safe and that the app works smoothly.